<Script>
    <Print name="setup1" event="setup"  text="setup1"/>
    <ScriptNode name="__main__">
        <Print name="setup2" event="setup"  text="setup2"/>
        <Print name="c2" event="call"  text="c1"/>
        <Print name="cleanup2" event="cleanup"  text="cleanup"/>
        <Call select="../../function" event="call"/>
    </ScriptNode>
    <ScriptNode name="function">
        <Print name="setup3" event="setup"  text="setup2"/>
        <Print name="c3" event="call"  text="c3"/>
        <Call select="../../groupa/f1" event="call"/>
        <Print name="cleanup3" event="cleanup"  text="cleanup"/>
    </ScriptNode>
    <ScriptNode name="groupa">
       <ScriptNode name="f1">
            <Print name="c5" event="call"  text="f1"/>
        </ScriptNode>
    </ScriptNode>
</Script>
